echo -off
mv flash.nsh flash_BIOS.nsh
mv flash_ME.nsh flash.nsh
if exist afuefi.smc then 
   if exist afuefix64.efi then 
      rm afuefix64.efi
   endif
   mv afuefi.smc afuefix64.efi
endif
echo **************************************************************************
echo *
echo *  Program BIOS regions...
echo *
echo **************************************************************************
afuefix64.efi %1 /SP /P /B /R /L
mv afuefix64.efi afuefi.smc
if exist fdt.smc then
   if exist fdtx64.efi then
      rm fdtx64.efi
   endif
   mv fdt.smc fdtx64.efi
endif
fdtx64.efi -mauto %1
mv fdtx64.efi fdt.smc

echo **************************************************************************
echo *
echo *  System will reset in 5 second...
echo *
echo **************************************************************************
stall 5000000
reset